Skip to main content
PATCH
Admin Update Space Appearance

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

If-Match
string | null

Path Parameters

space_id
string
required
Maximum string length: 36
team_id
string
required
hub_id
string
required

Body

application/vnd.api+json

JSON:API envelope: {data: {type: "space_appearances", id?, attributes: {name?, banner?}}}.

id is optional; when sent it must equal the space id in the path.

data
SpaceAppearanceWriteData · object
required

Response

Successful Response

data
JsonApiResource[SpaceAppearanceAttributes] · object
required
included
any[] | null
meta
Meta · object | null